package com.steerinfo.ems.ifmesemsproductorder.service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Set;

import com.steerinfo.ems.ifmesemsproductorder.model.IfMesEmsProductorder;
import com.steerinfo.framework.service.IBaseService;


public interface IIfMesEmsProductorderService extends IBaseService<IfMesEmsProductorder, String>{
    /**
	 * EMS获取MES生产计划数据
	 * @return
	 */
	String synchronousMesAnEmsData();

	/**
	 * 获取未读取的材料数据
	 * @return
	 */
	List<IfMesEmsProductorder> selectNewMaterial(HashMap<String, Object> model);

	/**
	 * 更改Status
	 * @return
	 */
	int updateStatus(HashMap<String, Object> m);
	
	/**
	 * 从正式环境同步MES生产计划数据
	 * 
	 * @param d
	 * @return
	 */
	String synchronousMesFromProd(Date d);
}